Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Protected Attributes
Lucene::FreqProxTermsWriter Class Reference

`#include <FreqProxTermsWriter.h>`

Inheritance diagram for Lucene::FreqProxTermsWriter:

## Public Member Functions

virtual | ~FreqProxTermsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FreqProxTermsWriter > | shared_from_this ()
virtual TermsHashConsumerPerThreadPtr | addThread (const TermsHashPerThreadPtr &perThread)
virtual void | createPostings (Collection< RawPostingListPtr > postings, int32_t start, int32_t count)
virtual void | closeDocStore (const SegmentWriteStatePtr &state)
virtual void | abort ()
virtual void | flush (MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField threadsAndFields, const SegmentWriteStatePtr &state)
void | appendPostings (Collection< FreqProxTermsWriterPerFieldPtr > fields, const FormatPostingsFieldsConsumerPtr &consumer)
| Walk through all unique text tokens (Posting instances) found in this field and serialize them into a single RAM segment.
virtual int32_t | bytesPerPosting ()
Public Member Functions inherited from Lucene::TermsHashConsumer
virtual | ~TermsHashConsumer ()
boost::shared_ptr< TermsHashConsumer > | shared_from_this ()
virtual void | setFieldInfos (const FieldInfosPtr &fieldInfos)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermsHashConsumer
static String | _getClassName ()

## Static Protected Member Functions

static int32_t | compareText (const wchar_t *text1, int32_t pos1, const wchar_t *text2, int32_t pos2)

## Protected Attributes

ByteArray | payloadBuffer
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Data Fields inherited from Lucene::TermsHashConsumer
FieldInfosPtr | fieldInfos
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ ~FreqProxTermsWriter()

virtual Lucene::FreqProxTermsWriter::~FreqProxTermsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FreqProxTermsWriter::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::FreqProxTermsWriter::abort | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ addThread()

virtual TermsHashConsumerPerThreadPtr Lucene::FreqProxTermsWriter::addThread | ( | const TermsHashPerThreadPtr & | perThread | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ appendPostings()

void Lucene::FreqProxTermsWriter::appendPostings | ( | Collection< FreqProxTermsWriterPerFieldPtr > | fields,
|  | const FormatPostingsFieldsConsumerPtr & | consumer
| ) |  |

Walk through all unique text tokens (Posting instances) found in this field and serialize them into a single RAM segment.

## ◆ bytesPerPosting()

virtual int32_t Lucene::FreqProxTermsWriter::bytesPerPosting | ( |  | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ closeDocStore()

virtual void Lucene::FreqProxTermsWriter::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ compareText()

static int32_t Lucene::FreqProxTermsWriter::compareText | ( | const wchar_t * | text1,
|  | int32_t | pos1,
|  | const wchar_t * | text2,
|  | int32_t | pos2
| ) |  |

static protected

## ◆ createPostings()

virtual void Lucene::FreqProxTermsWriter::createPostings | ( | Collection< RawPostingListPtr > | postings,
|  | int32_t | start,
|  | int32_t | count
| ) |  |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ flush()

virtual void Lucene::FreqProxTermsWriter::flush | ( | MapTermsHashConsumerPerThreadCollectionTermsHashConsumerPerField | threadsAndFields,
|  | const SegmentWriteStatePtr & | state
| ) |  |

virtual

Implements Lucene::TermsHashConsumer.

## ◆ getClassName()

virtual String Lucene::FreqProxTermsWriter::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermsHashConsumer.

## ◆ shared_from_this()

boost::shared_ptr< FreqProxTermsWriter > Lucene::FreqProxTermsWriter::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ payloadBuffer

ByteArray Lucene::FreqProxTermsWriter::payloadBuffer

protected

The documentation for this class was generated from the following file:

- FreqProxTermsWriter.h

clucene.sourceforge.net